Subject: Re: 27.0.50; ediff-files does not work after lexical-binding was enabled for ediff

From: Alex Branham <[email-masked]>
Date: Mon, 10 Jun 2019 08:41:50 -0500

On Sun 09 Jun 2019 at 22:21, Kaushal Modi <[email-masked]> wrote:

> It seems like properly enabling lexical binding in ediff will be a bit
> tricky.
>
> If you look at the code of ediff-find-file, you will see the use of
> `symbol-value' everywhere.

Indeed, it looks like portions of ediff expect symbols like file-A and
file-B to be dynamically bound, but also passes them through as
arguments to functions. I'm not sure what the best way to deal with this
is, since if we just mark them as special the lexical binding will
shadow the global binding anyway. 

In the meantime, feel free to revert that patch if its causing issues.

Alex